﻿Class MainWindow
    Const Pfad = "d:\Visual Basic\"
    Dim Diagnose As New Collection()
    Dim Psycho As New Collection()
    Dim Nr As Integer

    Private Sub Window_Loaded(sender As Object, e As RoutedEventArgs)
        Randomize()
        ' Diagnosetexte laden
        LoadText(Pfad + "Diagnose.txt")
        ' ScrollBar anpassen
        scrollBar.Minimum = 1
        scrollBar.Maximum = Diagnose.Count
        scrollBar.SmallChange = 1
        label.Content = ""
    End Sub

    Private Sub Window_Closed(sender As Object, e As EventArgs)
        SaveText(Pfad + "PsychoX.txt")
    End Sub

    Private Sub button_Click(sender As Object, e As RoutedEventArgs) Handles button.Click
        ' alle Felder leeren
        label.Content = ""
        textBox.Text = ""
        textBox.Focus()
    End Sub

    Private Sub button1_Click(sender As Object, e As RoutedEventArgs) Handles button1.Click
        Psycho.Add(textBox.Text)
        Nr = Int(Diagnose.Count * Rnd()) + 1
        label.Content = Diagnose.Item(Nr)
    End Sub

    Private Sub scrollBar_ValueChanged(sender As Object, e As RoutedPropertyChangedEventArgs(Of Double)) Handles scrollBar.ValueChanged
        label.Content = Diagnose.Item(scrollBar.Value)
    End Sub

    Sub LoadText(Dateiname As String)
        Try
            Dim Text As String
            Using Datei As IO.StreamReader = New IO.StreamReader(Dateiname)
                Do
                    Text = Datei.ReadLine()
                    Diagnose.Add(Text)
                Loop Until Text Is Nothing
                Datei.Close()
            End Using
        Catch
            Diagnose.Add("Keine Sprechstunde")
            Diagnose.Add("Praxis geschlossen")
            Diagnose.Add("Hilf dir selbst!")
        End Try
    End Sub

    Sub SaveText(ByVal Dateiname As String)
        Try
            Dim x As Integer
            Using Datei As IO.StreamWriter = New IO.StreamWriter(Dateiname)
                For x = 1 To Psycho.Count
                    Datei.WriteLine(Psycho.Item(x))
                Next
                Datei.Close()
            End Using
        Catch
            MsgBox("Daten lassen sich nicht speichern!")
        End Try
    End Sub


End Class
