﻿Class MainWindow

    Dim Geld As InterCalc
    Dim Modus As Integer

    Private Sub Window_Loaded(sender As Object, e As RoutedEventArgs)
        Geld = New InterCalc()
        SetZero()
    End Sub

    Private Sub button_Click(sender As Object, e As RoutedEventArgs) Handles button.Click
        SetZero()
        label.Content = "Nur die gesuchte Größe darf 0 sein!"
    End Sub

    Private Sub button1_Click(sender As Object, e As RoutedEventArgs) Handles button1.Click
        label.Content = "Das ist das Ergebnis:"
        Geld.SetKapital(textBox.Text)
        If textBox.Text = "0" Then Modus += 1
        Geld.SetProzent(textBox1.Text)
        If textBox1.Text = "0" Then Modus += 10
        Geld.SetZinsen(textBox2.Text)
        If textBox2.Text = "0" Then Modus += 100
        Select Case Modus
            Case 1 : textBox.Text = Geld.GetKapital()
            Case 10 : textBox1.Text = Geld.GetProzent()
            Case 100 : textBox2.Text = Geld.GetZinsen()
            Case Else
                label.Content = "Keine oder zu viele Nullen!"
        End Select
        Modus = 0
    End Sub

    Private Sub SetZero()
        Geld.SetKapital("0")
        Geld.SetProzent("0")
        Geld.SetZinsen("0")
        textBox.Text = "0"
        textBox1.Text = "0"
        textBox2.Text = "0"
        Modus = 0
    End Sub

End Class

Class InterCalc
    Private Kapital, Prozent, Zinsen As Single

    Public Sub New()
    End Sub

    Public Sub SetKapital(ByVal Txt As String)
        Kapital = CSng(Txt)
    End Sub

    Public Sub SetProzent(ByVal Txt As String)
        Prozent = CSng(Txt)
    End Sub

    Public Sub SetZinsen(ByVal Txt As String)
        Zinsen = CSng(Txt)
    End Sub

    Public Function GetKapital() As String
        Kapital = Zinsen * 100 / Prozent
        Return CStr(Kapital)
    End Function

    Public Function GetProzent() As String
        Prozent = Zinsen * 100 / Kapital
        Return CStr(Prozent)
    End Function

    Public Function GetZinsen() As String
        Zinsen = Kapital * Prozent / 100
        Return CStr(Zinsen)
    End Function

End Class

