﻿Public Class Monster
    Private Name, Wesen, Datei As String

    Public Sub New()
        Name = "Niemand" : Wesen = "monströs" : Datei = ""
    End Sub

    Public Sub New(nn As String, ww As String)
        Name = nn : Wesen = ww : Datei = ""
    End Sub

    Public Sub New(nn As String, ww As String, dd As String)
        Name = nn : Wesen = ww : Datei = dd
    End Sub

    Public Sub Show(anzeige1 As Label, anzeige2 As Label, anzeige3 As Label, bild As Image)
        anzeige1.Content = "Name:  " + Name
        anzeige2.Content = "Wesen:  " + Wesen
        anzeige3.Content = "Typ:  " + Type()
        Try
            bild.Source = New BitmapImage(New Uri(Datei))
        Catch
        End Try
    End Sub

    Public Overridable Function Type() As String
        Return "Monster"
    End Function

    Public Overridable Sub Type(info As Label, charakter As String)
        info.Content = "Ich habe " + charakter
    End Sub

End Class

Public Class GMonster : Inherits Monster

    Public Sub New(nn As String, ww As String, dd As String)
        MyBase.New(nn, ww, dd)
    End Sub

    Public Overrides Function Type() As String
        Return "Geistes-Monster"
    End Function

    Public Overloads Function Type(charakter As String) As String
        Return "Geistes-Monster mit " + charakter
    End Function

End Class

Public Class SMonster : Inherits Monster

    Public Sub New(nn As String, ww As String, dd As String)
        MyBase.New(nn, ww, dd)
    End Sub

    Public Overrides Function Type() As String
        Return "Seelen-Monster"
    End Function

    Public Overloads Function Type(charakter As String) As String
        Return "Seelen-Monster mit " + charakter
    End Function

End Class
