﻿Class MainWindow

    Const Max = 100
    Const Pfad = "d:\Visual Basic\" 'Ordner, in dem Diagnose.txt liegt!
    Dim Diagnose(Max) As String
    Dim Nr As Integer

    Private Sub Window_Loaded(sender As Object, e As RoutedEventArgs)
        Randomize()
        ' Diagnosetexte laden
        LoadText(Pfad + "Diagnose.txt")
        ' ScrollBar anpassen
        scrollBar.Minimum = 1
        scrollBar.Maximum = Diagnose.Count
        scrollBar.SmallChange = 1
        label.Content = ""
    End Sub

    Private Sub button_Click(sender As Object, e As RoutedEventArgs) Handles button.Click
        ' alle Felder leeren
        label.Content = ""
        textBox.Text = ""
        textBox.Focus()
    End Sub

    Private Sub button1_Click(sender As Object, e As RoutedEventArgs) Handles button1.Click
        Nr = Int(Diagnose.Count * Rnd()) + 1
        label.Content = Diagnose(Nr)
    End Sub

    Private Sub scrollBar_ValueChanged(sender As Object, e As RoutedPropertyChangedEventArgs(Of Double)) Handles scrollBar.ValueChanged
        label.Content = Diagnose(scrollBar.Value)
    End Sub

    Sub LoadText(Dateiname As String)
        Try
            Dim x As Integer, Text As String
            Using Datei As IO.StreamReader = New IO.StreamReader(Dateiname)
                x = 0
                Do
                    Text = Datei.ReadLine()
                    Diagnose(x) = Text
                    x += 1
                Loop Until Text Is Nothing
                Datei.Close()
            End Using
        Catch
            MsgBox("Datei nicht gefunden!")
            Close()
        End Try
    End Sub

End Class
