﻿Class MainWindow

    Const FMax = 9
    Dim Farbe() As Brush = New Brush() _
    {Brushes.Black, Brushes.Gray, Brushes.White, Brushes.Cyan, Brushes.Magenta,
    Brushes.Yellow, Brushes.Red, Brushes.Green, Brushes.Blue}

    Private Sub button_Click(sender As Object, e As RoutedEventArgs) Handles button.Click
        DrawRectangle(Farbe(Int(FMax * Rnd())), 10, 10, Width - 30, Height - 60)
        DrawEllipse(Farbe(Int(FMax * Rnd())), 10, 10, Width - 30, Height - 60)
        DrawLine(Farbe(Int(FMax * Rnd())), 10, Height / 2 - 20, Width - 20, Height / 2 - 20)
        DrawLine(Farbe(Int(FMax * Rnd())), Width / 2, 10, Width / 2, Height - 50)
    End Sub

    Sub DrawLine(brush As Brush, x1 As Integer, y1 As Integer, x2 As Integer, y2 As Integer)
        Dim line As New Line()
        line.Stroke = brush
        line.StrokeThickness = 2
        line.X1 = x1 : line.Y1 = y1
        line.X2 = x2 : line.Y2 = y2
        Raster.Children.Add(line)
    End Sub

    Sub DrawRectangle(brush As Brush, x As Integer, y As Integer, width As Integer, height As Integer)
        Dim rectangle As New Rectangle()
        rectangle.Width = width
        rectangle.Height = height
        rectangle.Margin = New Thickness(x, y, 0, 0)
        rectangle.Stroke = Farbe(Int(FMax * Rnd()))
        rectangle.StrokeThickness = 2
        rectangle.HorizontalAlignment = HorizontalAlignment.Left
        rectangle.VerticalAlignment = VerticalAlignment.Top
        Raster.Children.Add(rectangle)
    End Sub

    Sub DrawEllipse(brush As Brush, x As Integer, y As Integer, width As Integer, height As Integer)
        Dim ellipse As New Ellipse()
        ellipse.Width = width
        ellipse.Height = height
        ellipse.Margin = New Thickness(x, y, 0, 0)
        ellipse.Stroke = Farbe(Int(FMax * Rnd()))
        ellipse.StrokeThickness = 2
        ellipse.HorizontalAlignment = HorizontalAlignment.Left
        ellipse.VerticalAlignment = VerticalAlignment.Top
        Raster.Children.Add(ellipse)
    End Sub

End Class
