﻿
Imports System.Windows.Media.Animation

Class MainWindow

    Dim Kreis As New Ellipse()

    Private Sub Window_Loaded(sender As Object, e As RoutedEventArgs)
        Kreis.Width = Height / 2 : Kreis.Height = Height / 2
        Kreis.Margin = New Thickness((Width - Kreis.Width) / 2, 30, 0, 0)
        Kreis.Stroke = Brushes.Black
        Kreis.Fill = Brushes.Red
        Kreis.HorizontalAlignment = HorizontalAlignment.Left
        Kreis.VerticalAlignment = VerticalAlignment.Top
        Kreis.Visibility = Visibility.Hidden
        Raster.Children.Add(Kreis)
    End Sub

    Private Sub button_Click(sender As Object, e As RoutedEventArgs) Handles button.Click
        Kreis.Visibility = Visibility.Visible
    End Sub

    Private Sub button1_Click(sender As Object, e As RoutedEventArgs) Handles button1.Click
        Dim animation As New DoubleAnimation()
        animation.From = 1.0
        animation.To = 0.0
        animation.AutoReverse = True
        animation.Duration = New Duration(TimeSpan.FromSeconds(5))
        Kreis.BeginAnimation(Ellipse.OpacityProperty, animation)
    End Sub

    Private Sub button2_Click(sender As Object, e As RoutedEventArgs) Handles button2.Click
        Kreis.Visibility = Visibility.Hidden
    End Sub

End Class
