﻿Imports System.Windows.Media.Animation

Class MainWindow

    Dim Kugel As MoveSphere

    Private Sub Window_Loaded(sender As Object, e As RoutedEventArgs)
        Kugel = New MoveSphere(Raster, 20, 30, Height / 2, Width - 30)
    End Sub

    Private Sub button_Click(sender As Object, e As RoutedEventArgs) Handles button.Click
        Kugel.Show()
    End Sub

    Private Sub button1_Click(sender As Object, e As RoutedEventArgs) Handles button1.Click
        Kugel.Move()
    End Sub

    Private Sub button2_Click(sender As Object, e As RoutedEventArgs) Handles button2.Click
        Kugel.Hide()
    End Sub

End Class


Class MoveCircle
    Protected Oval As New Ellipse()
    Private x, y, Dicke, Strecke As Integer
    Private Raster As Grid

    Public Sub New(rr As Grid, xx As Integer, yy As Integer, dd As Integer, ss As Integer)
        ' Startwerte für die Eigenschaften 
        Raster = rr : x = xx : y = yy
        Dicke = dd : Strecke = ss
        ' Startwerte für den Kugel
        Oval.Width = Dicke : Oval.Height = Dicke
        Oval.Margin = New Thickness(x, y, 0, 0)
        Oval.Stroke = Brushes.Black
        Oval.Fill = Brushes.Red
        Oval.HorizontalAlignment = HorizontalAlignment.Left
        Oval.VerticalAlignment = VerticalAlignment.Top
        Oval.Visibility = Visibility.Hidden
        ' ins Raster einfügen
        Raster.Children.Add(Oval)
    End Sub

    Public Sub Show()
        Oval.Visibility = Visibility.Visible
    End Sub

    Public Sub Move()
        Dim animation As New ThicknessAnimation()
        animation.From = New Thickness(x, y, 0, 0)
        animation.To = New Thickness(Strecke - Dicke, y, 0, 0)
        animation.Duration = New Duration(TimeSpan.FromSeconds(2))
        Oval.BeginAnimation(Ellipse.MarginProperty, animation)
    End Sub

    Public Sub Hide()
        Oval.Visibility = Visibility.Hidden
    End Sub

End Class


Class MoveSphere : Inherits MoveCircle

    ' Oval = protected
    Public Sub New(rr As Grid, xx As Integer, yy As Integer, dd As Integer, ss As Integer)
        MyBase.New(rr, xx, yy, dd, ss)
        Oval.Fill = Brushes.Brown
    End Sub

End Class


