﻿Public Class InterCalc
    Protected Kapital, Prozent, Zinsen As Single

    Public Sub New()
    End Sub

    Public Sub SetKapital(ByVal Txt As String)
        Kapital = CSng(Txt)
    End Sub

    Public Sub SetProzent(ByVal Txt As String)
        Prozent = CSng(Txt)
    End Sub

    Public Sub SetZinsen(ByVal Txt As String)
        Zinsen = CSng(Txt)
    End Sub

    Public Function GetKapital() As String
        Kapital = Zinsen * 100 / Prozent
        Return CStr(Kapital)
    End Function

    Public Function GetProzent() As String
        Prozent = Zinsen * 100 / Kapital
        Return CStr(Prozent)
    End Function

    Public Function GetZinsen() As String
        Zinsen = Kapital * Prozent / 100
        Return CStr(Zinsen)
    End Function

End Class


Public Class CompoundCalc : Inherits InterCalc
    Protected Laufzeit As Integer

    Public Sub SetLaufzeit(ByVal Txt As String)
        Laufzeit = CInt(Txt)
    End Sub

    Public Shadows Function GetKapital() As String
        Kapital = Zinsen / ((1 + Prozent / 100) ^ Laufzeit - 1)
        Return CStr(Kapital)
    End Function

    Public Shadows Function GetProzent() As String
        Prozent = ((Zinsen / Kapital + 1) ^ (1 / Laufzeit) - 1) * 100
        Return CStr(Prozent)
    End Function

    Public Shadows Function GetZinsen() As String
        Zinsen = Kapital * ((1 + Prozent / 100) ^ Laufzeit - 1)
        Return CStr(Zinsen)
    End Function

    Public Function GetLaufzeit() As String
        Laufzeit = (Math.Log(Kapital + Zinsen) - Math.Log(Kapital)) / Math.Log(1 + Prozent / 100)
        Return CStr(Laufzeit)
    End Function

End Class