﻿Imports System.Windows.Media.Animation

Public Class MoveImage : Inherits Image
    Protected x, y, Dicke, Strecke As Integer
    Private Raster As Grid

    Public Sub New(rr As Grid, xx As Integer, yy As Integer, dd As Integer, ss As Integer)
        ' Startwerte für die Eigenschaften 
        Raster = rr : x = xx : y = yy
        Dicke = dd : Strecke = ss
        ' Startwerte für das Bild
        Me.Width = Dicke : Me.Height = Dicke
        Me.Margin = New Thickness(x, y, 0, 0)
        Me.HorizontalAlignment = HorizontalAlignment.Left
        Me.VerticalAlignment = VerticalAlignment.Top
        Me.Visibility = Visibility.Hidden
        ' ins Raster einfügen
        Raster.Children.Add(Me)
    End Sub

    Public Sub Load(Datei As String)
        Try
            Me.Source = New BitmapImage(New Uri(Datei))
        Catch
        End Try
    End Sub

    Public Sub Show()
        Me.Visibility = Visibility.Visible
    End Sub

    Public Sub Move()
        Dim animation As New ThicknessAnimation()
        animation.From = New Thickness(x, y, 0, 0)
        animation.To = New Thickness(Strecke - Dicke, y, 0, 0)
        animation.Duration = New Duration(TimeSpan.FromSeconds(2))
        Me.BeginAnimation(Ellipse.MarginProperty, animation)
    End Sub

    Public Sub Hide()
        Me.Visibility = Visibility.Hidden
    End Sub

End Class
