﻿Imports System.Windows.Threading

Public Class Token : Inherits Image

    Protected x, y, Dicke As Integer
    Protected xDiff, yDiff As Integer
    Protected xLinks, xRechts, yOben, yUnten As Integer
    Private Raster As Grid
    Protected Zeit As DispatcherTimer

    Public Sub New(rr As Grid, xx As Integer, yy As Integer, dd As Integer, ww As Integer, hh As Integer)
        Raster = rr : x = xx : y = yy : Dicke = dd
        ' Startwerte für die Spielfigur
        Me.Width = Dicke : Me.Height = Dicke
        Me.Margin = New Thickness(x, y, 0, 0)
        Me.HorizontalAlignment = HorizontalAlignment.Left
        Me.VerticalAlignment = VerticalAlignment.Top
        ' ins Raster einfügen
        Raster.Children.Add(Me)
        ' Schrittwerte
        xDiff = 15 : yDiff = 10
        'Startwerte für das Spielfeld
        xLinks = 10 : xRechts = ww - Dicke - 30
        yOben = 10 : yUnten = hh - Dicke - 50
        ' Zeitgeber
        Zeit = New DispatcherTimer()
        AddHandler Zeit.Tick, AddressOf timer_Tick
    End Sub

    Public Sub SetBounds(x1 As Integer, x2 As Integer, y1 As Integer, y2 As Integer)
        'Spielfeldmaße neu festlegen
        xLinks = x1 : xRechts = x2
        yOben = y1 : yUnten = y2
    End Sub

    Public Sub Load(Datei As String)
        Try
            Me.Source = New BitmapImage(New Uri(Datei))
        Catch
        End Try
    End Sub

    Public Sub Run(modus As Boolean)
        Zeit.Interval = New TimeSpan(0, 0, 0, 0, 20)
        If modus Then Zeit.Start() : Else Zeit.Stop()
    End Sub

    Private Sub timer_Tick(sender As Object, e As EventArgs)
        ' Rand links und rechts kontrollieren
        If Me.Margin.Left < xLinks Then xDiff = -xDiff
        If Me.Margin.Left > xRechts Then xDiff = -xDiff
        ' Rand oben und unten kontrollieren
        If Me.Margin.Top < yOben Then yDiff = -yDiff
        If Me.Margin.Top > yUnten Then yDiff = -yDiff
        ' Ball bewegen
        Me.Margin = New Thickness(Me.Margin.Left + xDiff, Me.Margin.Top + yDiff, 0, 0)
    End Sub

    Public Sub Turn()
        ' Richtung wechseln
        xDiff = -xDiff
        yDiff = -yDiff
    End Sub

End Class
