﻿Public Class TokenX : Inherits Token

    Protected Richtung As Integer

    Public Sub New(rr As Grid, xx As Integer, yy As Integer, dd As Integer, ww As Integer, hh As Integer)
        MyBase.New(rr, xx, yy, dd, ww, hh)
        Richtung = 0
    End Sub

    Public Sub Move(Taste As Key)
        Dim Drehung As Integer
        ' Drehung und Weg bestimmen
        Select Case Taste
            Case Key.Up
                If y > yOben Then y -= yDiff  ' nach oben
                Drehung = 0
            Case Key.Left
                If x > xLinks Then x -= xDiff  ' nach links
                Drehung = 1
            Case Key.Down
                If y < yUnten Then y += yDiff  ' nach unten
                Drehung = 2
            Case Key.Right
                If x < xRechts Then x += xDiff  ' nach rechts
                Drehung = 3
        End Select
        ' Figur ausrichten und bewegen
        Rotate(Richtung - Drehung)
        Richtung = Drehung
        Me.Margin = New Thickness(x, y, 0, 0)
    End Sub

    Protected Sub Rotate(dreh As Integer)
        Dim bild As New TransformedBitmap()
        ' Bild übernehmen
        bild.BeginInit()
        bild.Source = Me.Source
        ' Drehung festlegen
        bild.Transform = New RotateTransform(dreh * 90)
        bild.EndInit()
        ' Gedrehtes Bild zuweisen
        Me.Source = bild
    End Sub

End Class
